# ``twisted`.`web`.`error`.`FlattenerError``

class documentation

`class FlattenerError(Exception): (source)`

View In Hierarchy

An error occurred while flattening an object.

Method | `__init__` | Undocumented
Method | `__repr__` | Present a string representation which includes a template traceback, so we can tell where this error occurred in the template, as well as in Python.
Method | `__str__` | Undocumented
Method | `_formatRoot` | No summary
Instance Variable | `_exception` | Undocumented
Instance Variable | `_roots` | A list of the objects on the flattener's stack at the time the unflattenable object was encountered. The first element is least deeply nested object and the last element is the most deeply nested.
Instance Variable | `_traceback` | Undocumented

def __init__(self, exception, roots, traceback): (source)

Undocumented

def __repr__(self): (source)
Present a string representation which includes a template traceback, so we can tell where this error occurred in the template, as well as in Python.

Returns
`str` | Undocumented

def __str__(self): (source)

Undocumented

Returns
`str` | Undocumented

def _formatRoot(self, obj): (source)
Convert an object from `self._roots` to a string suitable for inclusion in a render-traceback (like a normal Python traceback, but can include "frame" source locations which are not in Python source files).

Parameters
obj | Any object which can be a render step root. Typically, `Tag`s, strings, and other simple Python types.
Returns
`str` | A string representation of `obj`.

_exception = (source)

Undocumented

_roots = (source)
A list of the objects on the flattener's stack at the time the unflattenable object was encountered. The first element is least deeply nested object and the last element is the most deeply nested.
_traceback = (source)

Undocumented